View Issue Details

IDProjectCategoryView StatusLast Update
0000698FreeCADFeaturepublic2012-05-11 17:36
ReporterpperisinAssigned Toyorik 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000698: Draft Extrude suggestions
DescriptionHi,

I use a lot Draft Extrude feature. Here is two small sugestions for it.

1 - Switch current behavior so that extrude goes along face normal by default (currently you need to press CTRL to do this). This was discussed before on forum.

2 - make non planar faces extrude in a way so that each point from a face extrudes along it's face normal.

Have a look at the picture "extrude". If I extrude this selected face, I'd like to get this resulting shape.

Regards,
Petar
TagsNo tags attached.

Activities

2012-05-07 06:36

 

extrude.png (Attachment missing)

yorik

2012-05-10 14:18

administrator   ~0002033

okay point 1 makes sense, but point 2 is a huge and complex work to do, and I think beyond the scope of the Draft module...

So I think I'll do point 1, but point 2 should be the subject of another, more advanced and more generic feature, maybe in PartDesign...

yorik

2012-05-11 17:36

administrator   ~0002034

Done in ba17ed0

Issue History

Date Modified Username Field Change
2012-05-07 06:36 pperisin New Issue
2012-05-07 06:36 pperisin File Added: extrude.png
2012-05-10 14:18 yorik Note Added: 0002033
2012-05-10 14:19 yorik Status new => assigned
2012-05-10 14:19 yorik Assigned To => yorik
2012-05-11 17:36 yorik Note Added: 0002034
2012-05-11 17:36 yorik Status assigned => closed
2012-05-11 17:36 yorik Resolution open => fixed
2012-05-11 17:36 yorik Fixed in Version => 0.13